package pacote.controller;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;
import java.util.ArrayList;
import java.util.*;
import pacote.model.DicionarioBean;
import pacote.model.DicionarioBO;

public class DicionarioServlerController extends javax.servlet.http.HttpServlet implements javax.servlet.Servlet
{
    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws IOException, ServletException
    {	
		processRequest(request, response);
	}
	
	public void doPost(HttpServletRequest request, HttpServletResponse response)
        throws IOException, ServletException
    {	
		processRequest(request, response);
	}
	
	public void processRequest(HttpServletRequest request, HttpServletResponse response)throws IOException, ServletException{
		String pagina = null;
		
		if(request.getRequestURI().endsWith("/dicionario_listar"))
			pagina = listaDicionario(request, response);
		else
			if(request.getRequestURI().endsWith("/dicionario_listarLocal"))
				/*listar apenas o local*/
				pagina = listaDicionarioLocal(request, response);
				else if(request.getRequestURI().endsWith("/dicionario_listarPessoa"))
						/*listar apenas pessoa*/
						pagina = listaDicionarioPessoa(request, response);
			
		

		if (pagina == null)
			response.sendRedirect(request.getContextPath() + "/index.html");
			else
				request.getRequestDispatcher(pagina).forward(request, response);
	}
	
	public String listaDicionario(HttpServletRequest request, HttpServletResponse response)throws IOException{
		DicionarioBO dicionarioBO = new DicionarioBO();
		List abreviaturas = new ArrayList();
		String url = "";
		
		abreviaturas = dicionarioBO.listarDicionario();
		url = "dicionario_lista.jsp";
		
		request.setAttribute("abreviaturas", abreviaturas);
        return url;
	}
	
	public String listaDicionarioLocal(HttpServletRequest request, HttpServletResponse response)throws IOException{
		DicionarioBO dicionarioBO = new DicionarioBO();
		List abreviaturas = new ArrayList();
		String url = "";
		
		abreviaturas = dicionarioBO.listarDicionarioLocal();
		url = "dicionario_lista.jsp";
		
		request.setAttribute("abreviaturas", abreviaturas);
        return url;
	}
	
	public String listaDicionarioPessoa(HttpServletRequest request, HttpServletResponse response)throws IOException{
		DicionarioBO dicionarioBO = new DicionarioBO();
		List abreviaturas = new ArrayList();
		String url = "";
		
		abreviaturas = dicionarioBO.listarDicionarioPessoa();
		url = "dicionario_lista.jsp";
		
		request.setAttribute("abreviaturas", abreviaturas);
        return url;
	}
} 